

class TestAssignability {

    public static void main (String args[])
    {
        System.out.println("int.class     .isAssignableFrom(Integer.class)=["+int.class .isAssignableFrom(Integer.class)+"]");
        System.out.println("Integer.class .isAssignableFrom(int.class)    =["+Integer.class .isAssignableFrom(int.class)+"]");

        // String str=null; System.out.println("Integer.valueOf(str)=["+Integer.valueOf(str)+"]");

        System.out.println("Boolean.class.isPrimitive()=["+Boolean.class.isPrimitive()+"]");
        System.out.println("boolean.class.isPrimitive()=["+boolean.class.isPrimitive()+"]");
    }
}
